RDCode: RDKit::SLNParse Namespace Reference

# RDKit::SLNParse Namespace Reference

## Classes
class | AttribType
## Typedefs
typedef std::vector< std::pair < AttribCombineOp, boost::shared_ptr< AttribType > > > | AttribListType
## Enumerations
enum | AttribCombineOp { AttribLowPriAnd = 0, AttribOr, AttribAnd, AttribNot }
## Functions
void | parseAtomAttribs (Atom *atom, AttribListType attribs, bool doingQuery)
| parses the attributes provided for an atom and sets
void | parseFinalAtomAttribs (Atom *atom, bool doingQuery)
void | parseBondAttribs (Bond *bond, AttribListType attribs, bool doingQuery)
| parses the attributes provided for a bond and sets
void | parseFinalBondAttribs (Bond *bond, bool doingQuery)
void | parseMolAttribs (ROMol *mol, AttribListType attribs)
| parses the attributes provided for a ctab and sets
void | adjustAtomChiralities (RWMol *mol)
RWMol * | finalizeQueryMol (ROMol *mol, bool mergeHs)
void | bookmarkAtomID (RWMol *mp, Atom *atom)
| set a bookmark in the molecule if the atom has an associated ID:
template<typename BondType>
void | addBondToMol (RWMol *mp, BondType *bond)
| adds a bond, being careful to handle aromaticity properly
template<typename AtomType>
int | startMol (std::vector< RWMol * > &molList, AtomType *firstAtom)
| initialize a molecule
template<typename AtomType, typename BondType>
void | addAtomToMol (std::vector< RWMol * > &molList, unsigned int idx, AtomType *atom, BondType *bond)
| adds an atom to a molecule
template<typename AtomType>
void | addAtomToMol (std::vector< RWMol * > &molList, unsigned int idx, AtomType *atom)
template<typename BondType>
void | closeRingBond (std::vector< RWMol * > &molList, unsigned int molIdx, unsigned int ringIdx, BondType *bond, bool postponeAllowed=true)
| closes an indexed ring in a molecule using the bond provided
void | closeRingBond (std::vector< RWMol * > &molList, unsigned int molIdx, unsigned int ringIdx)
template<typename BondType>
int | addBranchToMol (std::vector< RWMol * > &molList, unsigned int molIdx, unsigned int branchIdx, BondType *&bond)
int | addBranchToMol (std::vector< RWMol * > &molList, unsigned int molIdx, unsigned int branchIdx)
int | addFragToMol (std::vector< RWMol * > &molList, unsigned int molIdx, unsigned int fragIdx)
| adds the atoms and bonds from a fragment to the molecule, sets no bond between them
template<typename T>
std::string | convertToString (T val)
| convenience function to convert the argument to a string
void | CleanupAfterParseError (RWMol *mol)

## Typedef Documentation

typedef std::vector< std::pair<AttribCombineOp,boost::shared_ptr<AttribType> > > RDKit::SLNParse::AttribListType

Definition at line 63 of file SLNAttribs.h.

## Enumeration Type Documentation

enum RDKit::SLNParse::AttribCombineOp

Enumerator:

  AttribLowPriAnd |
  AttribOr |
  AttribAnd |
  AttribNot |

Definition at line 46 of file SLNAttribs.h.

## Function Documentation

template<typename AtomType>

void RDKit::SLNParse::addAtomToMol | ( | std::vector< RWMol * > & | molList,
|  | unsigned int | idx,
|  | AtomType * | atom |
| ) |  |  | `[inline]`

Definition at line 138 of file SLNParseOps.h.

References addAtomToMol(), and RDKit::Bond::SINGLE.

template<typename AtomType, typename BondType>

void RDKit::SLNParse::addAtomToMol | ( | std::vector< RWMol * > & | molList,
|  | unsigned int | idx,
|  | AtomType * | atom,
|  | BondType * | bond |
| ) |  |  | `[inline]`

adds an atom to a molecule

Definition at line 110 of file SLNParseOps.h.

References addBondToMol(), bookmarkAtomID(), RDKit::Atom::getIdx(), PRECONDITION, and RDKit::Bond::SINGLE.

Referenced by addAtomToMol().

template<typename BondType>

void RDKit::SLNParse::@66::addBondToMol | ( | RWMol * | mp,
|  | BondType * | bond |
| ) |  |  | `[inline, static]`

adds a bond, being careful to handle aromaticity properly

Definition at line 70 of file SLNParseOps.h.

References RDKit::RWMol::addBond(), RDKit::Bond::AROMATIC, and PRECONDITION.

Referenced by addAtomToMol(), addBranchToMol(), and closeRingBond().

int RDKit::SLNParse::addBranchToMol | ( | std::vector< RWMol * > & | molList,
|  | unsigned int | molIdx,
|  | unsigned int | branchIdx |
| ) |  |  |

Definition at line 264 of file SLNParseOps.h.

References addBranchToMol(), and RDKit::Bond::SINGLE.

template<typename BondType>

int RDKit::SLNParse::addBranchToMol | ( | std::vector< RWMol * > & | molList,
|  | unsigned int | molIdx,
|  | unsigned int | branchIdx,
|  | BondType *& | bond |
| ) |  |  | `[inline]`

Definition at line 186 of file SLNParseOps.h.

References addBondToMol(), CHECK_INVARIANT, closeRingBond(), RDKit::Bond::getEndAtomIdx(), RDKit::Bond::IONIC, PRECONDITION, RDKit::Bond::setEndAtomIdx(), and RDKit::Bond::setOwningMol().

Referenced by addBranchToMol(), and addFragToMol().

int RDKit::SLNParse::addFragToMol | ( | std::vector< RWMol * > & | molList,
|  | unsigned int | molIdx,
|  | unsigned int | fragIdx |
| ) |  |  |

adds the atoms and bonds from a fragment to the molecule, sets no bond between them

Definition at line 271 of file SLNParseOps.h.

References addBranchToMol(), and RDKit::Bond::IONIC.

void RDKit::SLNParse::adjustAtomChiralities | ( | RWMol * | mol | ) |

void RDKit::SLNParse::@66::bookmarkAtomID | ( | RWMol * | mp,
|  | Atom * | atom |
| ) |  |  | `[static]`

set a bookmark in the molecule if the atom has an associated ID:

Definition at line 48 of file SLNParseOps.h.

References RDKit::Atom::getProp(), RDKit::ROMol::hasAtomBookmark(), RDKit::ROMol::hasBondBookmark(), RDKit::Atom::hasProp(), PRECONDITION, and RDKit::ROMol::setAtomBookmark().

Referenced by addAtomToMol(), and startMol().

void RDKit::SLNParse::CleanupAfterParseError | ( | RWMol * | mol | ) |

Definition at line 283 of file SLNParseOps.h.

References PRECONDITION.

void RDKit::SLNParse::closeRingBond | ( | std::vector< RWMol * > & | molList,
|  | unsigned int | molIdx,
|  | unsigned int | ringIdx |
| ) |  |  |

Definition at line 179 of file SLNParseOps.h.

References closeRingBond(), and RDKit::Bond::SINGLE.

template<typename BondType>

void RDKit::SLNParse::closeRingBond | ( | std::vector< RWMol * > & | molList,
|  | unsigned int | molIdx,
|  | unsigned int | ringIdx,
|  | BondType * | bond,
|  | bool | postponeAllowed = `true` |
| ) |  |  | `[inline]`

closes an indexed ring in a molecule using the bond provided

Definition at line 148 of file SLNParseOps.h.

References addBondToMol(), CHECK_INVARIANT, and PRECONDITION.

Referenced by addBranchToMol(), and closeRingBond().

template<typename T>

std::string RDKit::SLNParse::convertToString | ( | T | val | ) | `[inline]`

convenience function to convert the argument to a string

Definition at line 278 of file SLNParseOps.h.

RWMol* RDKit::SLNParse::finalizeQueryMol | ( | ROMol * | mol,
|  | bool | mergeHs |
| ) |  |  |

void RDKit::SLNParse::parseAtomAttribs | ( | Atom * | atom,
|  | AttribListType | attribs,
|  | bool | doingQuery |
| ) |  |  |

parses the attributes provided for an atom and sets

void RDKit::SLNParse::parseBondAttribs | ( | Bond * | bond,
|  | AttribListType | attribs,
|  | bool | doingQuery |
| ) |  |  |

parses the attributes provided for a bond and sets

void RDKit::SLNParse::parseFinalAtomAttribs | ( | Atom * | atom,
|  | bool | doingQuery |
| ) |  |  |

void RDKit::SLNParse::parseFinalBondAttribs | ( | Bond * | bond,
|  | bool | doingQuery |
| ) |  |  |

void RDKit::SLNParse::parseMolAttribs | ( | ROMol * | mol,
|  | AttribListType | attribs |
| ) |  |  |

parses the attributes provided for a ctab and sets

template<typename AtomType>

int RDKit::SLNParse::startMol | ( | std::vector< RWMol * > & | molList,
|  | AtomType * | firstAtom |
| ) |  |  | `[inline]`

initialize a molecule

Definition at line 87 of file SLNParseOps.h.

References RDKit::RWMol::addAtom(), RDKit::RWMol::addBond(), bookmarkAtomID(), PRECONDITION, and RDKit::Bond::SINGLE.